Package org.eclipse.cdt.core.dom.ast.gnu.cpp

# Interface IGPPASTExplicitTemplateInstantiation

All Superinterfaces:
  `IASTDeclaration`, `IASTNode`, `ICPPASTExplicitTemplateInstantiation`

@Deprecated public interface IGPPASTExplicitTemplateInstantiation extends ICPPASTExplicitTemplateInstantiation
Deprecated.
Replaced by `ICPPASTExplicitTemplateInstantiation`

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ti_extern`
Deprecated.
`ti_extern` implies 'extern' keyword is used.
`static final int`
`ti_inline`
Deprecated.
`ti_inline` implies 'inline' keyword is used.
`static final int`
`ti_static`
Deprecated.
`ti_static` implies 'static' keyword is used.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTExplicitTemplateInstantiation

`EXTERN, INLINE, OWNED_DECLARATION, STATIC`

## Method Summary

Modifier and Type
Method
Description
`IGPPASTExplicitTemplateInstantiation`
`copy()`
Deprecated.
Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTExplicitTemplateInstantiation

`copy, getDeclaration, getModifier, setDeclaration, setModifier`

## Field Details

### ti_static

static final int ti_static
Deprecated.
`ti_static` implies 'static' keyword is used.

See Also:
  - Constant Field Values

### ti_inline

static final int ti_inline
Deprecated.
`ti_inline` implies 'inline' keyword is used.

See Also:
  - Constant Field Values

### ti_extern

static final int ti_extern
Deprecated.
`ti_extern` implies 'extern' keyword is used.

See Also:
  - Constant Field Values

## Method Details

### copy

IGPPASTExplicitTemplateInstantiation copy()
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTExplicitTemplateInstantiation`
Since:
  5.1